# $Revision: 1.23 $, $Date: 2009/02/24 07:29:14 $
#
# Conditional build:
%bcond_without	static_libs # don't build static libraries
#
Summary:	UDF writing tools for CDRW recorders
Summary(pl.UTF-8):	Narzędzia umożliwiające zapisywanie na płytach CDRW w formacie UDF
Name:		udftools
Version:	1.0.0b3
Release:	4
License:	GPL
Group:		Applications/System
Source0:	http://dl.sourceforge.net/linux-udf/%{name}-%{version}.tar.gz
# Source0-md5:	2f491ddd63f31040797236fe18db9e60
Patch0:		%{name}-cvs.patch
Patch1:		%{name}-pktcdvd.patch
Patch2:		%{name}-gcc4.patch
Patch3:		%{name}-warnings.patch
Patch4:		%{name}-install_headers.patch
Patch5:		%{name}-missing-INT_MAX.patch
Patch6:		%{name}-open.patch
URL:		http://linux-udf.sourceforge.net/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	readline-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin
%define		specflags	-Wall

%description
This package allows to use CDRW disks like a normal floppy disks. The
data can modified and deleted. Disks can be read in any UDF
compatibile system.

%description -l pl.UTF-8
Ten pakiet umożliwia nagrywanie na dyskach CDRW jak na normalnych
dyskietkach. Dane można usuwać i modyfikować. Odczyt jest możliwy na
systemach obsługujących system plików UDF.

%package devel
Summary:	udftools - libudffs header files
Summary(pl.UTF-8):	udftools - pliki nagłówkowe dla libudffs
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
udftools - libudffs header files.

%description devel -l pl.UTF-8
udftools - pliki nagłówkowe dla libudffs.

%package static
Summary:	Static libudffs library
Summary(pl.UTF-8):	Statyczna biblioteka libudffs
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libudffs library.

%description static -l pl.UTF-8
Statyczna biblioteka libudffs.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p0

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-shared \
	--enable-static=%{?with_static_libs:yes}%{!?with_static_libs:no}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sbindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -s %{_bindir}/mkudffs $RPM_BUILD_ROOT%{_sbindir}/mkfs.udf

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_bindir}/cdrwtool
%attr(755,root,root) %{_bindir}/mkudffs
%attr(755,root,root) %{_bindir}/pktsetup
%attr(755,root,root) %{_bindir}/udffsck
%attr(755,root,root) %{_bindir}/wrudf
%attr(755,root,root) %{_sbindir}/mkfs.udf
%attr(755,root,root) %{_libdir}/libudffs.so.*.*.*
%{_mandir}/man1/*
%{_mandir}/man8/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libudffs.so
%{_libdir}/libudffs.la
%{_includedir}/udffs

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libudffs.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: udftools.spec,v $
Revision 1.23  2009/02/24 07:29:14  arekm
- rel 4; fix open mode

Revision 1.22  2009/02/23 22:08:53  arekm
- release 3

Revision 1.21  2007/11/09 12:09:13  witekfl
- added the missing-INT_MAX.patch

Revision 1.20  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.18  2006/11/11 23:30:47  twittner
- install udftools headers via Makefile instead of copying them from spec
  (-install_headers.patch)
- added static_libs bcond
- stricter shared library file globbing

Revision 1.17  2006/11/11 18:34:29  sparky
- added warnings patch, build with -Wall

Revision 1.16  2006/11/11 18:14:36  sparky
- added gcc4 patch

Revision 1.15  2006/11/11 16:59:52  glen
- add mkfs.udf
- verbose files
- rel 2

Revision 1.14  2005/12/01 09:21:59  qboosh
- updated to 1.0.0b3 (2 years newer)
- removed obsolete acam patch, added cvs patch (fixes from udftools CVS)

Revision 1.13  2005/10/25 14:10:58  adasi
- support new pktcdvd device control scheme

Revision 1.12  2004/10/29 14:56:53  paladine
- spelling fixes

Revision 1.11  2004/09/25 11:20:55  radek
- cosmetics (spaces -> tabs)

Revision 1.10  2004/01/24 18:43:16  twittner
- updated -acam.patch (it allows build with autoconf-2.59)
- rel. 2 for Ac

Revision 1.9  2003/05/25 11:01:07  malekith
- massive attack, adding Source-md5

Revision 1.8  2003/05/25 06:27:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/03/28 17:19:09  qboosh
- build with shared library, added headers
- fixed %%doc list (added AUTHORS, removed empty README)

Revision 1.6  2002/10/09 13:14:49  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.5  2002/10/08 13:20:04  qboosh
- BR: autoconf,automake

Revision 1.4  2002/10/02 12:42:24  qboosh
- cleanups
- removed R: kernel(cdrw) - requiring distribution kernel in user-space packages is not good idea

Revision 1.3  2002/09/28 21:41:25  ggodlewski
- requires kernel(cdrw)
- Release 1

Revision 1.2  2002/07/30 09:04:16  ggodlewski
- ac, am fix

Revision 1.1  2002/07/29 16:46:24  ggodlewski
- initial release
